Bug 11515 - Ошибка в патче, предложенном в ALT BZ#5088
: Ошибка в патче, предложенном в ALT BZ#5088
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libgd2-devel)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-04-16 15:22 by
Modified: 2007-04-17 18:20 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-04-16 15:22:46
Проблема в том, что в gd-2.0.34-alt1.patch в части, применяемой к файлу
gdfontmb.h  ошибочно пристуствуют строки:

-#ifndef _GDFONTMB_H_
-#define _GDFONTMB_H_ 1
+#ifndef _GDFONTL_H_
+#define _GDFONTL_H_ 1

Понятно, что это ломает сборку всех программ, включающих оба заголовочных
файла,
<gdfontl.h> и <gdfontmb.h>. Соответственно, между critical и blocker я выбираю
blocker...
------- Comment #1 From 2007-04-16 15:42:52 -------
Thanks, fixed in 2.0.34-alt2.

http://git.altlinux.org/people/ldv/packages/?p=gd2.git;a=commit;h=2.0.34-alt2